ARG PYTHON_VERSION
FROM python:${PYTHON_VERSION}

ARG PUID=1000
ARG PGID=1000

RUN groupadd -g ${PGID} pydock && \
    useradd -u ${PUID} -g pydock -m pydock && \
    usermod -p "*" pydock -s /bin/bash

RUN mkdir /venv && chown ${PUID}:${PGID} /venv

USER pydock

# Создаём виртуальное окружение ВНЕ /app
RUN python -m venv /venv
ENV PATH="/venv/bin:$PATH"

WORKDIR /app

COPY requirements.txt .

VOLUME /pip_cache

RUN . /venv/bin/activate && pip install --cache-dir=/pip_cache -r requirements.txt

EXPOSE 8000